Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultNumberListHandler

    java.lang.Object
      org.apache.batik.parser.DefaultNumberListHandler

All Implemented Interfaces:
  NumberListHandler

Direct Known Subclasses:
  FloatArrayProducer

    public class DefaultNumberListHandler

extends Object
implements NumberListHandler

Field Summary
`static NumberListHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultNumberListHandler()` This class does not need to be instantiated.

Method Summary
`void` | `endNumber()` Implements `NumberListHandler.endNumber()`.
`void` | `endNumberList()` Implements `NumberListHandler.endNumberList()`.
`void` | `numberValue(float v)` Implements `NumberListHandler.numberValue(float)`.
`void` | `startNumber()` Implements `NumberListHandler.startNumber()`.
`void` | `startNumberList()` Implements `NumberListHandler.startNumberList()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NumberListHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultNumberListHandler

    protected DefaultNumberListHandler()

  This class does not need to be instantiated.

Method Detail

### startNumberList

    public void startNumberList()
                         throws ParseException

  Implements `NumberListHandler.startNumberList()`.

  Specified by:
    `startNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

### endNumberList

    public void endNumberList()
                       throws ParseException

  Implements `NumberListHandler.endNumberList()`.

  Specified by:
    `endNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

### startNumber

    public void startNumber()
                     throws ParseException

  Implements `NumberListHandler.startNumber()`.

  Specified by:
    `startNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### numberValue

    public void numberValue(float v)
                     throws ParseException

  Implements `NumberListHandler.numberValue(float)`.

  Specified by:
    `numberValue` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### endNumber

    public void endNumber()
                   throws ParseException

  Implements `NumberListHandler.endNumber()`.

  Specified by:
    `endNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.